//Include Povray of explosion D with frames from 0 to 3 (28 frames total for all the explosion)
//Expansion of explosion D. The 'clock' value must not be used directly , use 'time' value instead, created in main scene (pov file)

#include "includes/macroTimeSetter.inc"

#declare SphereSize = 0;
AffineTimeSetterBoundOnly(0, 10, 0.5, 1, SphereSize, time)

#declare DarkBlueCol = color srgb <33, 18, 158> / 255;

#declare Turbulence = 0;
AffineTimeSetterBoundOnly(0, 3, 0, 0.4, Turbulence, time)

sphere{
    0, 1 hollow no_shadow pigment{ color srgbft <0, 0, 0, 0, 1> }
    interior{
        media{
            absorption 4 scattering{3, DarkBlueCol} samples 1,30 intervals 20
            density{ spherical density_map{
                                    [0 color srgb 0]
                                    [0.05 radial color_map{ 
                                                [0.0 color srgb 0]
                                                [0.5 color srgb 0]
                                                [0.5 color srgb 1]
                                                [1 color srgb 1]
                                            }
                                            frequency 120
                                            rotate 90*x
                                    ]
                                    [0.1 color srgb 1 ]
                                    [1 color srgb 1]
                                }
                warp{ turbulence 0.25 lambda 4 omega 0.6 }
            }
        }
    }
    scale SphereSize
}