//Include Povray of explosion D with frames from 13 to 14 (28 frames total for all the explosion)
//Explosion cloud. The 'clock' value must not be used directly , use 'time' value instead, created in main scene (pov file)

#include "includes/macroTimeSetter.inc"

//#declare DarkBlueCol = color srgb <33, 18, 158> / 255;
#declare LightBlueCol = color srgb <51, 28, 230> / 255;

#if( time = 13 )
    #declare SphereScale = 0.75;
    #declare WhiteStartIndex = 0.6;
#elseif( time = 14 )
    #declare SphereScale = 0.7;
    #declare WhiteStartIndex = 0.5;
#end

sphere{
    0, 1 hollow no_shadow pigment{ color srgbft <0, 0, 0, 0, 1> }
    interior{
        //White smoke media
        media{
            emission 2
            density{ spherical density_map{
                                            [0.4 color srgb 0]
                                            [0.6 color srgb 1]
                                }
                warp{ turbulence 0.05 }
            }
        }
        //Fire media
        media{
            emission 2 samples 1, 30 intervals 20
            density{ spherical density_map{
                                    [0 color srgb 0]
                                    [0.025 LightBlueCol ]
                                    [WhiteStartIndex LightBlueCol ]
                                    [WhiteStartIndex color srgb 1 ]
                                }
                warp{turbulence 0.25 lambda 4 omega 0.6 }
            }
        }
    }
    scale SphereScale
}