//Include Povray of explosion D with frames from 4 to 9 (28 frames total for all the explosion)
//Explosion cloud. The 'clock' value must not be used directly , use 'time' value instead, created in main scene (pov file)

#include "includes/macroTimeSetter.inc"

#declare DarkBlueCol = color srgb <33, 18, 158> / 255;
#declare LightBlueCol = color srgb <51, 28, 230> / 255;

#declare SphereSize = 0;
AffineTimeSetterBoundOnly(0, 10, 0.5, 1, SphereSize, time)

#declare LightGreen = <0, 0, 0>;//it melts with yellow color in 'FirePat' density pattern
AffineTimeSetterBoundOnly(4, 10, DarkBlueCol, <0, 1, 0>, LightGreen, time)

#declare FireTurbulence = 0;
AffineTimeSetterBoundOnly(4, 10, 0.1, 0.4, FireTurbulence, time)

#declare FirePatIndex = 0;
AffineTimeSetterBoundOnly(4, 10, 0.8, 0.4, FirePatIndex, time)

#declare PatternMove = 0;
AffineTimeSetterBoundOnly(4, 10, 0, 0.75, PatternMove, time)

#declare FirePat = density{ wrinkles color_map{
                                        [0 color srgb LightGreen ]
										[FirePatIndex color srgb LightGreen ]
										[FirePatIndex LightBlueCol ]
										[0.95 LightBlueCol ]
										[0.95 color srgb LightGreen ]
                                
                                }
						scale 0.33
                        translate PatternMove * -z
				   }

sphere{
    0, 1 hollow no_shadow pigment{ color srgbft <0, 0, 0, 0, 1> }
    interior{
        //Green smoke media 
        media{
            absorption 4 scattering{3, DarkBlueCol} samples 1,30 intervals 20
            density{ spherical density_map{
                                    [0 color srgb 0]
                                    [0.05 radial color_map{ 
                                                [0.0 color srgb 0]
                                                [0.5 color srgb 0]
                                                [0.5 color srgb 1]
                                                [1 color srgb 1]
                                            }
                                            frequency 120
                                            rotate 90*x
                                             
                                    ]
                                    [0.1 color srgb 1 ]
                                    [1 color srgb 1]
                                }
                warp{ turbulence 0.25 }
            }
        }
        //Fire media (Yellow)
        media{
            emission 4 samples 1, 30 intervals 20
            density{ spherical density_map{
									[0.1 color srgb 0 ]
									[0.15 FirePat ]
                                    [0.6 FirePat ] 
									[0.6 color srgb 0 ]
                                    //[1 FirePat]
                                    
								}
                warp{ turbulence 0.25 lambda 4 omega 0.6 }
            }
        }
    }
    scale SphereSize
}